Pro+

/watchlists/membership

Query Parameters
  • companyId
    Type: integerFormat: int32

    Signed 32-bit integers (commonly used integer type).

  • personId
    Type: integerFormat: int32

    Signed 32-bit integers (commonly used integer type).

  • addressId
    Type: integerFormat: int32

    Signed 32-bit integers (commonly used integer type).

  • propertyId
    Type: integerFormat: int32

    Signed 32-bit integers (commonly used integer type).

  • vehicleId
    Type: integerFormat: int32

    Signed 32-bit integers (commonly used integer type).

Responses
Request Example for get/watchlists/membership
curl 'https://lens-api.tic.io/watchlists/membership?companyId=1&personId=1&addressId=1&propertyId=1&vehicleId=1' \
  --header 'x-api-key: YOUR_SECRET_TOKEN'
[
  {
    "watchListGuid": "123e4567-e89b-12d3-a456-426614174000",
    "watchListName": null,
    "watchListMemberGuid": "123e4567-e89b-12d3-a456-426614174000"
  }
]